Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.ide
Class AMFLaunchAction

    java.lang.Object
      org.eclipse.amp.amf.ide.AMFLaunchAction

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchShortcut, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

Direct Known Subclasses:
  AscapeLaunchAction, KeyGraphicsLaunchAction

    public abstract class AMFLaunchAction

extends java.lang.Object
implements org.eclipse.ui.IObjectActionDelegate, org.eclipse.debug.ui.ILaunchShortcut

Generic support for launching AMF generated models into separate runtimes and providing the common Eclipse infrastructure for doing so.

Author:
  milesparker

Constructor Summary
`AMFLaunchAction()`

Method Summary
`Configurator` | `getConfigurator()`
`java.lang.String` | `getTargetName()`
`void` | `launch(org.eclipse.ui.IEditorPart editor, java.lang.String mode)`
`void` | `launch(org.eclipse.jface.viewers.ISelection selection, java.lang.String mode)`
`void` | `launchWith(org.eclipse.jface.viewers.ISelection selection)`
`void` | `launchWithResource(org.eclipse.core.resources.IResource metaabmFile)`
`void` | `run(org.eclipse.jface.action.IAction action)`
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` | `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`
`void` | `setTargetName(java.lang.String targetName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMFLaunchAction

    public AMFLaunchAction()

Method Detail

### getConfigurator

    public Configurator getConfigurator()

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### launchWithResource

    public void launchWithResource(org.eclipse.core.resources.IResource metaabmFile)

### launchWith

    public void launchWith(org.eclipse.jface.viewers.ISelection selection)

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`

### launch

    public void launch(org.eclipse.ui.IEditorPart editor,
                       java.lang.String mode)

  Specified by:
    `launch` in interface `org.eclipse.debug.ui.ILaunchShortcut`

### launch

    public void launch(org.eclipse.jface.viewers.ISelection selection,
                       java.lang.String mode)

  Specified by:
    `launch` in interface `org.eclipse.debug.ui.ILaunchShortcut`

### getTargetName

    public java.lang.String getTargetName()

### setTargetName

    public void setTargetName(java.lang.String targetName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD